{% extends "base.html" %}
{% load static %}
{% block titulo %}
Transferencias bancos autorización
{% endblock titulo %}
{% block content1 %} 
<script type="text/javascript">
  $("#navIE").attr('class','dropdown active');
  $("#navAutorizaSTBancos").attr('class','active');
</script>
<style type="text/css">
  .input-group-addon {
    padding: 0px 6px;
}
.fila-corto{
  margin-bottom: 5px;
}
</style>
<div class="row">
  <div class="col-md-12 col-sm-12" >
      <div class="panel panel-default">
        <div class="panel-heading panel-toolbar"> 
          <strong>tRANSFERENCIAS BANCOS SOLICITUD DESBLOQUEO</strong>
          <div class="toolbar">
            <button type="button" class="btn btn-default btn-sm" id="RefrescarLista"><span class="fa fa-refresh"></span> Actualizar</button>
          </div>
        </div>
        <div class="panel-body">
          <div class="row" >
            <div class="col-md-12">
              <h4 class="bg-success" align="center" id="ExitoMensaje">
              </h4>
            </div>
          </div>
          <div class="row myb-4">
            <div class="col-md-2">
                <div class="select">
                  <select class="form-control form-control-sm" id="comboFiltroF">
                    <option value="h">Hoy</option>
                    <option value="f">Fecha</option>
                    <option value="ef">Entre Fechas</option>
                  </select>
                </div>
              </div>
              <div class="col-md-2" id="div-f1">
                <input type='text' class=" form-control" id="txtfecha1" autocomplete="off">
              </div>
              <div class="col-md-2" id="div-f2">
                <input type='text' class="form-control" id="txtfecha2" autocomplete="off">
              </div>
              <div class="col-md-1" align="center">
                <button type="button" class=" btn btn-sm btn-danger" id="buscarF"> FILTRAR</button>
              </div>
          </div>
           <div class="row">
            <div class="col-md-4">
              <div class="fg-line">
              <input type="text" class="form-control" placeholder="Nombre o Apellidos (Beneficiado o Solicitante)" id="filtro">
              </div>
              <p></p>
            </div>
            <div class="col-md-1" >
              <button type="button" class="btn btn-primary btn-block btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
              <p></p>
            </div>
            <div class="col-md-2">
              <div class="checkbox">
                  <label class="">
                    <input id="ts4" type="checkbox" value="success-inverse1"> Solo activos
                  </label>
              </div> 
             </div> 

          </div>
          <div class="row">
              <div class="col-md-12">

                  <div class="table-responsive" >
                    <table class="table table-hover table-striped" id="tableST">
                        <thead>
                          <tr >
                            <th>Fecha<br>sol. Aut</th>
                            <th>Operación</th>
                            <th>Personal Sol.</th>
                            <th>Estado Aut.</th>

                            <th>Beneficiado</th>
                            <th>Remitente</th>
                            <th>Fecha</th>
                            <th>S/T</th>
                            <th>Banco</th>
                            <th>DNI/CTA</th>
                            <th>Monto</th>
                            <th>Comision</th>
                            <th>C. Banco</th>
                            <th>Moneda</th>
                            <th>Obs.</th>
                            <th>Estado</th>
                            <th>Fecha de Proceso</th>
                          </tr>
                        </thead>
                        <tbody id="listaTransf">
                        </tbody>
                    </table>
                  </div>
              </div>
          </div>
          <br>
        </div>
      </div>
  </div>
</div>
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
             <label class="modal-title" id="myModalLabel">DESBLOQUEO SOLICITUD DE TRANSFERENCIA</label>
          </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-6" >
                <div class="panel panel-default">
                  <div class="panel-heading" align="center"> <strong>SOLICITANTE</strong></div>
                  <div class="panel-body">
                    <div class="row myb-4">
                      <!--
                        <div class="col-md-4 col-md-offset-1" align="right"> 
                          <label>DNI/RUC</label> 
                        </div>
                        <div class="col-md-6">
                          <input type="text" class="form-control" id="txtDNI">
                        </div> 
                      -->
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI/RUC:</label></div>
                            <input type="text" class="form-control" id="txtDNI">
                          </div>
                        </div>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Nombres</label></div>
                            <input type="text" class="form-control" id="txtNombres_Soli">
                          </div>
                        </div>
                      </div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="panel panel-default">
                        <div class="panel-heading" align="center"> <strong>BENEFICIADO</strong></div>
                      </div>
                    </div>
                   
                    <div class="row">
                        <div class="col-md-12"> 
                            <span>Nombres</span>
                         <label class="pull-left1" id="lbNB"></label> 
                        
                         <label class="pull-left1" id="lbAPB"></label> 
                         <label class="pull-left1" id="lbAMB"></label> 
                        </div>
                        <div class="col-md-offset-4">
                          <div class="btn-group" role="group">
                             <strong><a class="text-info" href="#" data-toggle="modal" data-target="#myModalB" id="btnMB">Cambiar Nombre</a></strong>
                           </div>
                         </div>
                          <div class="row">
                          <div class="col-md-12">
                            <div class="alert alert-danger hidden" id="alertMessage" role="alert" style="color: #313534;">
                              <strong id="txtMessage"></strong>
                            </div>
                          </div>
                        </div>
                        <!--<div class="col-md-6">
                          <input type="text" class="form-control" id="txtNombres_Bene" disabled="disabled">         
                        </div>--> 
                    </div>

                    <div class="row">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI</label></div>
                            <input type="text" class="form-control" id="txtN">
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row">
                      <div class="col-md-12 center">
                        <button type="button" class="btn btn-warning btn-sm"id="extornarT">Autorizar Operacion</button>
                      </div>
                    </div>
                    

                  </div>
                </div>
                <div class="panel panel-default" id="divDetBanco">
                  <div class="panel-heading">DETALLE BANCO</div>
                  <div class="panel-body">
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>BANCO</label></div>
                          <input type="text" class="form-control" id="txtdetb-banco" name="detb-banco" autocomplete="off" disabled>
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>OPERACIÓN</label></div>
                          <input type="text" class="form-control" id="txtdetb-operacion" name="detb-operacion" autocomplete="off" disabled>
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>N° Cuenta / DNI:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nrocta" name="detb-nrocta" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Cel Referencia:</label></div>
                          <input type="text" class="form-control" id="txtdetb-celref" name="detb-celref" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Nro Operacion:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nroope" name="detb-nroope" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row fila-corto">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Nro Giro:</label></div>
                          <input type="text" class="form-control" id="txtdetb-nrogiro" name="detb-nrogiro" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                          <div class="input-group-addon"><label>Clave de cobro:</label></div>
                          <input type="text" class="form-control" id="txtdetb-clave" name="detb-clave" autocomplete="off">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12" align="center">
                        <div class="btn-group" role="group">
                           <strong><a class="text-info" href="#" id="btn_actualizar_bancos">Actualizar Datos de Bancos</a></strong>
                         </div>
                      </div>
                    </div>
                    <!--
                    <p></p>
                    <div class="row">
                      <div class="col-md-12" align="center">
                         <button type="button" class="btn btn-warning btn-xs" id="btn_actualizar_bancos">Actualizar Datos de Bancos</button>
                      </div>
                    </div>
                    -->
                  </div>
                </div>
            </div>
            <div class="col-md-6">
              <div class="panel panel-success">
                <div class="panel-heading panel-toolbar"> 
                  <strong>TRANSFERENCIA</strong>
                  <button type="button" class="btn btn-success btn-sm" id="rimprimir">Re-imprimir</button>
                </div>
                <div class="panel-body">
                  
                  <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>ID</label></div>
                            <input type="text" class="form-control" id="txtIDtrans" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                  </div>
                  <input type="text" id="txt-pk-soli" style="display:none;">
                  <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Estado</label></div>
                            <input type="text" class="form-control" id="txtEstadoTrans" disabled="disabled">
                          </div>
                        </div>
                      </div>
                      <div class="col-md-2">
                        <button type="button" class="btn btn-danger btn-sm"id="extornarT">Extornar</button>
                      </div>
                  </div>
                    <div class="row">
                      <div class="col-md-12"> 
                        <h4 >Nro Recibo: <b id="txtnr"></b></h4> 
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Fecha</label></div>
                            <input type="text" class="form-control" id="txtFecha" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Emisor</label></div>
                            <input type="text" class="form-control" id="txtPersonalE" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <!--
                     <div class="row">
                        <div class="col-md-4 col-md-offset-1" align="right"> 
                          <label>Usuario Global</label> 
                        </div>
                        <div class="col-md-7">
                          <input type="text" class="form-control" id="txtPerDig" disabled="disabled">         
                        </div> 
                    </div>-->
                    <!--
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Destino</label></div>
                            <input type="text" class="form-control" id="txtOficinaDest" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                  -->
                    <!--
                    <div class="row">
                        
                        <div class="col-md-3">
                          <button type="button" class="btn btn-block btn-warning btn-xs" data-toggle="modal" data-target="#modalCambiar" id="btnModalCmbioOD">
                            Cambiar</button>
                        </div>
                    </div>-->
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Cantidad</label></div>
                            <input type="text" class="form-control t-monto" id="txtMonto" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Comisión</label></div>
                            <input type="text" class="form-control t-monto" id="txtComicion" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>

                   <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Comision banco</label></div>
                            <input type="text" class="form-control t-monto" id="txtComicionBanco" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
           
                    <div class="row">
                        <div class="col-md-12">
                          <label>Observaciones / Detalle</label> 
                        </div>
                        <div class="col-md-12">
                          <!--
                          <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                          <textarea class="form-control" rows="3" id="txtotros_con" disabled="disabled" ></textarea >         
                        </div> 
                    </div>
              
                    
                    <!--
                    <div class="row" id="areap">
                        <div class="col-md-4 col-md-offset-1" align="right"> 
                          <label>Observaciones de pago</label> 
                        </div>
                        <div class="col-md-6">
                          <textarea class="form-control" rows="3"  id="txtObspe"></textarea >         
                        </div> 
                    </div>
                    -->
                </div>
              </div>
            </div>
          </div>
            
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">
              <div class="row grp_alr" align="center">
                 <h4 >¿AUTORIZAR OPERACION?</h4>
              </div>

              <div class="row grp_alr" align ="center">
                <label>Esta accion sera irreversible!</label>
              </div>

              <div class="row grp_alr">
                <div class="col-md-4 col-md-offset-2">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                </div>
                <div class="col-md-4">
                  <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">AUTORIZAR</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/JavaScript">
  var tipo_fi='f';
  var x_st_total='{{ x_st_to }}';
  var pagina=1;
  var soli_nom="";
  var soli_ap="";
  var soli_am="";
  var Aux="";
  var Aux2="";
  var Aux3="";
  var Aux5="";
  var Aux6="";
  var Aux7="";
  var filaI =0;
  var estad="";  
  var i1=0;
  var i2=0;        
  var p1=0;        
  var p2=0;
  var e1=0;
  var e2=0; 
  //extorno---
  var st_ex="no";
  //---------
  var nombreBAux="";
  var apBAux="";
  var amBAux="";
  var estadoAux="";
  var checkedTuto = JSON.parse(localStorage.getItem('chbTutorial'));
  $("#valorCHB").val("no");
  $("#chb").click(function(){ 
    if($(this).prop('checked')){
      $("#valorCHB").val("si");
      
    }else{
      $("#valorCHB").val("no");
     
    }
  });
  $("#myModal").on("shown.bs.modal", function () { 
    if(checkedTuto==true){
      if($("#txtEstadoTrans").val()=="activo"){
           WebTour.create({
          0: [{
        element: "#btnMB",
         description: "Para Modificar el nombre del 'BENEFICIADO' haga click sobre el enlace 'Cambiar Nombre'",
        position: "t",
        next: false,
        closeSign: false
      }]
      });
     
    //WebTour.init();
      }
     
    }
  });
  

    $(document).ready(function(){
      //----
      $('#txtfecha1').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfecha2').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      //
      $("#div-f1").hide();
      $("#div-f2").hide();
      //
      $("#comboFiltroF").change(function(){
        if($("#comboFiltroF").val()=="ef"){
          $("#div-f1").show();
          $("#txtfecha1").prop("value","");
          $("#div-f2").show();
          $("#txtfecha2").prop("value","");
        }
        if($("#comboFiltroF").val()=="f"){
          $("#txtfecha1").prop("value","");
          $("#div-f1").show();
          $("#txtfecha2").prop("value","");
          $("#div-f2").hide();
        }
        if($("#comboFiltroF").val()=="h"){
          $("#txtfecha1").prop("value","");
          $("#div-f1").hide();
          $("#txtfecha2").prop("value","");
          $("#div-f2").hide();
        }
      });
      //
      $("#buscarF").click(function(){
        tipo_fi="f";
        ajax_Transferencias_fechas();
      })
      //

      $(document).on('show.bs.modal', '.modal', function () {
        var zIndex = 1040 + (10 * $('.modal:visible').length);
        $(this).css('z-index', zIndex);
        setTimeout(function() {
            $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
        }, 0);
      });
      $(document).on('hidden.bs.modal', '.modal', function () {
        $('.modal:visible').length && $(document.body).addClass('modal-open');
      });
      $('#txtN').numeric(); 
      $("#fd").hide();
      $("#extornarT").prop('disabled',false); 
      $("#extornarT").click(function(){
        $("#idn").text($("#txtDNI").val());
      });
      $("#rimprimir").click(function(){
        $("#idST").text("ST: "+$("#txtIDtrans").val());
        if (estad=="activo" || estad =="pagado"){
           $("#bene").text($('#lbNB').text()+"\n"+$('#lbAPB').text()+" "+$('#lbAMB').text());
           
          $('#platillaI2').printThis();
        }
        else{
          $("#idn").text($("#txtDNI").val());
          $('#platillaI').printThis();
        }
      });
      
      ajax_Transferencias_fechas();
      $("#RefrescarLista").click(function(){
        ajax_Transferencias_fechas();
      });

    
     
      $(document).on("click",".filaTrans",function(){
        //--
        $("#modal-content-bene").css("background-color","#ffffff");
        $("#ActualizarBen").show();
        //---
        $('#txtIDtrans').prop("value",null);
        limpiar_det_banco();
        $("#alertMessage").addClass("hidden");
        var num = $(this).attr('id');
        filaI = num;
        var fila= $(this).attr('class');
        $('#extornarT').show();
        $('#btn_actualizar_bancos').hide();
        $("#areap").show();
        //$("#rimprimir").show();
        $('#txtN').prop('disabled',false);
        //------------- autorizacion de extorno ---------------
        $("#txtCodA").prop("value","");
        st_ex="no"
        $("#nrodias").text("");
        $(".grp_dni_cod").hide();
        /*
        if(Aux[filaI].dias>1){
          $("#nrodias").text(Aux[filaI].dias);
          $(".grp_dni_cod").show();
          st_ex="si"
        }
        */
        ///----------------------------------------------------
        //--------------
        $('#txtnr').text(Aux[filaI].nroRecibo);
        $('#txtEstadoTrans').prop("value",Aux[filaI].estado);
        $('#txtDNI').prop("value","");

        $('#txtNombres_Soli').prop("value",Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
         
        $(".eliminarC").addClass("hidden");
        $(".editarC").addClass("hidden");

        $('#txtNombreB').prop("value",Aux[filaI].nombre_bnf);
        $('#txtAPB').prop("value",Aux[filaI].paterno_bnf);
        $('#txtAMB').prop("value",Aux[filaI].materno_bnf);
        $('#txtDNIB').prop("value",Aux[filaI].dni_bnf);

        $('#lbNB').text(Aux[filaI].nombre_bnf);
        $('#lbAPB').text(Aux[filaI].paterno_bnf);
        $('#lbAMB').text(Aux[filaI].materno_bnf);

        if(Aux[filaI].dniMenor=="no"){
          //$(".chbOfDNIMenor").removeClass("active");
          $("#chb").prop('checked',false);
          $("#valorCHB").val("no");
        }else{
          //$(".chbOfDNIMenor").addClass("active");
          $("#valorCHB").val("si");
          $("#chb").prop('checked',true);
        }

        nombreBAux=Aux[filaI].nombre_bnf;
        apBAux=Aux[filaI].paterno_bnf;
        amBAux=Aux[filaI].materno_bnf;
        estadoAux=Aux[filaI].estado;

        $("#txtN").prop('value',Aux[filaI].dni_bnf);
        $('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        $("#txt-pk-soli").prop("value",Aux[filaI].so_pk);
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtPersonalE').prop("value",Aux[filaI].id_personal);
        //$('#txtOficinaDest').prop("value",Aux[filaI].oficina_des);
        $('#txtMonto').prop("value",Aux[filaI].monto);
        $('#txtComicion').prop("value",Aux[filaI].comicion);
        $('#txtComicionBanco').prop("value",Aux[filaI].monto_conceptos);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $('#txtotros_con').prop("value",Aux[filaI].obs);
        $("#reciboObs").text(Aux[filaI].obs);
        $("#reciboDet").text(Aux[filaI].otros_conceptos);
        $("#plB").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $("#plR").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plObs").text($("#txtObspe").val());
        estad=Aux[filaI].estado;
        var mr="";
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
          }
        else
          {
            mr="$/. "
        }
        if (Aux[filaI].AutEx=="todo"){
          $("#caextTo").show();
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text(parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos));
        }
        else{
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text('');
          $("#caextTo").hide();
        }
        //
        /*
        if(x_st_total=='si'){
          $("#extorno_total").html("Se extornara: <b>CAPITAL + COMISION </b>");
        }
        else{
          $("#extorno_total").html("Se extornara: <b>SOLO EL CAPITAL</b>");
        }
        */
        //

        //$("#plM").text(Aux[filaI].monto);
        //$("#plOri").text(Aux[filaI].oficina_des);
        var fecha = new Date();
        var mes = ["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"];
        var textofecha= fecha.getDate() + " de " + mes[fecha.getMonth()] + " del " + fecha.getFullYear();
        var hora = new Date();
        var textohora = hora.getHours() + ":" + hora.getMinutes();
        $("#fepa").text(textofecha);
        $("#hopa").text(textohora);

        if(Aux[filaI].estado_trans =="activo"){
            $("#btnMB").removeClass("hidden");
            $('#btn_actualizar_bancos').show();
        }

        if(Aux[filaI].estado_trans !="activo"){
          //$('#extornarT').prop('disabled',true);
          //$('#ForzarpagoT').prop('disabled',true);
          $('#extornarT').hide();
          $('#txtN').prop('disabled',true);
          $("#areap").hide();
          $("#btnMB").addClass("hidden");
          //$("#rimprimir").hide()
        }
        if((Aux[filaI].estado=='activo') || (Aux[filaI].estado=='pagado'&&Aux[filaI].pago_forzado!='si')){
          var m='';
          if(Aux[filaI].moneda=="soles")
            {
              m="S/. "
            }
          else
            {
              m="$/. "
            }
          //$("#pldet").html("Monto:"+m+Aux[filaI].monto+"<br>Comision: "+m+Aux[filaI].comicion+"<br> Otros:"+m+Aux[filaI].monto_conceptos);
          $("#monto_tr").text(m+Aux[filaI].monto);
          $("#comi_tr").text(m+Aux[filaI].comicion);
          $("#otros_tr").text(m+Aux[filaI].monto_conceptos);
          var monto_capi=Aux[filaI].monto.toString().replace(",", "");
          var total= parseFloat(monto_capi)+parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos);

         $("#fechaRecibo").text(Aux[filaI].fecha);
          $("#importe").text(m+String(total));
          //$("#usuario").text(usuario);
          $("#nror").text("NRO: "+Aux[filaI].nroRecibo);
          $("#bene").text(Aux[filaI].nombre_bnf +"\n"+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
          $("#soli").text(Aux[filaI].nombre_rmt+"\n"+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
          $("#oficinaDestino").text(Aux[filaI].oficina_des);
          $("#soli1").text(Aux[filaI].nombre_rmt+"\n"+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);                                      
        }
        if(Aux[filaI].estado=='extornado'){
          $("#plTitulo").text("transferencia extornado");
        }
        if(Aux[filaI].pago_forzado=='si'){
          $("#plTitulo").text("pago forzado");
          //$("#rimprimir").show();
          estad="pagoforzado";
        }
        $("#divDetBanco").hide();
        $("#txtdetb-banco").val(null);
        $("#txtdetb-operacion").val(null);
        $("#txtdetb-nrocta").val(null);
        $("#txtdetb-celref").val(null);
        $("#txtdetb-nroope").val(null);
        $("#txtdetb-nrogiro").val(null);
        $("#txtdetb-clave").val(null);
        if(Aux[filaI].banco.length>2){
          $("#divDetBanco").show();
          $("#txtdetb-banco").val(Aux[filaI].banco);
          $("#txtdetb-operacion").val(Aux[filaI].operacion);
          $("#txtdetb-nrocta").val(Aux[filaI].nroCta);
          $("#txtdetb-celref").val(Aux[filaI].cel_referencia);
          $("#txtdetb-nroope").val(Aux[filaI].nro_operacion);
          $("#txtdetb-nrogiro").val(Aux[filaI].nro_giro);
          $("#txtdetb-clave").val(Aux[filaI].clave);
          //consulta
          //ajax_detalle_banco();
        }
      });
      function limpiar_det_banco(){
        $("#txtdetb-banco").val(null);
        $("#txtdetb-operacion").val(null);
        $("#txtdetb-celref").val(null);
        $("#txtdetb-nrocta").val(null);
        $("#txtdetb-nroope").val(null);
        $("#txtdetb-nrogiro").val(null);
        $("#txtdetb-clave").val(null);
      }
      
      function ajax_Transferencias_fechas(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'tipo':tipo_fi,
            'filtro':$("#comboFiltroF").val(),
            'F1':$("#txtfecha1").val(),
            'F2':$("#txtfecha2").val(),
            'razon':$("#filtro").val()
          },
          url:'/listaSolicitudesAutorizacion_bancos_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado_trans=="procesado"){
                estado = "success";
              }
              if(data[i].estado_trans =="extornado"){
                estado="danger";
              }
              if(data[i].estado_trans=="activo"){
                estado= ''
              }
              html += '<tr data-toggle="modal" data-target="#myModal" data-backdrop="static" class="filaTrans '+estado+'" id="'+i+'"><td class="blue-text text-darken-3" style="width:200px;">'+data[i].so_fecha+'</td><td style="color:blue;">'+data[i].so_tabla+'</td><td style="color:red;">'+data[i].so_oficina +' - '+data[i].so_personal+'</td><td class="blue-text text-darken-3"><b>'+data[i].so_estado_au.toUpperCase()+'</b></td><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td>'+data[i].nroRecibo+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].banco+'</td><td>'+data[i].nroCta+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td><b>'+data[i].comicion+'</b></td>><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].estado_trans+'</td><td>'+data[i].fp+'</td></tr>';
            }
            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
          }
        });
      };
      
      $("#buscar").click(function(){
        tipo_fi="f";
        ajax_Transferencias_fechas();
      });     

      $("#extornarT").click(function(){//boton q llama ala confirmacion
        $('#modal_confirmacion').modal('show');
      });

      $("#alert_aceptar").click(function(){
          ajax_solicitudExtorno(Aux[filaI].id_trans,$("#txtCodA").val());
          ocultarmodal();
      });
      

      //-----
      function ajax_solicitudExtorno(idTransf,codA){
        $.ajax({
          data:{'idT':idTransf,'idSoli':$("#txt-pk-soli").val(),'norReciboST':$('#txtnr').text()},
          url:'/autorizar_trans_banco_fetch/',
          //async:false,
          type:'GET',
          dataType:'json',
          success: function(data){
            if(data.exito=='exito'){
              $('#modal_confirmacion').modal('hide');
              $("#ExitoMensaje").prop('class','bg-info');
              $("#ExitoMensaje").text("La transferencia se autorizo!");
              $("#plTitulo").text("transferencia autorizado");
              
              bootbox.alert({ 
                message: "La transferencia se autorizó",
                className: 'bb-alternate-modal'
              }); 

              ajax_Transferencias_fechas();
            }
            else{
              $('#modal_confirmacion').modal('hide');
              $("#ExitoMensaje").prop('class','bg-danger');
              $("#ExitoMensaje").text("la operacion fallo :(" + data.exito);
              /*
              bootbox.alert({ 
                message: "La Operación falló",
                className: 'bb-alternate-modal'
              }); 
              */
              swal("Error", data.exito, "error");
            }

          }
        });
      };
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };
    
      $("#ts4").click(function(){
        if($("#ts4").prop("checked")){ 
          tipo_fi="a";
        } else {
          tipo_fi="f";
          
        }
        ajax_Transferencias_fechas();
        
      });

  });
</script>
{% endblock content1 %}
